> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://murf.ai/api/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://murf.ai/api/docs/_mcp/server.

# Delete Cloned Voice

DELETE https://api.murf.ai/v1/speech/voices/cloned/{voiceId}

Permanently deletes a cloned voice from your workspace.

Reference: https://murf.ai/api/docs/api-reference/voice-cloning/delete

## Request

### Path parameters

- `voiceId` (string, required) — Cloned voice id returned when creation status is COMPLETED (prefix cln_).

### Headers

- `token` (string, optional)
- `api-key` (string, optional)

## Response

### 200

Cloned voice deleted successfully.

- `responseCode` (string, optional) — Result code for the operation (for example, SUCCESS).
- `responseMessage` (string, optional) — Human-readable result message.

## Errors

### 400 Bad Request Error

Invalid voiceId format (cloned voice ids must use the cln_ prefix).

- `any`

### 403 Forbidden Error

Invalid api-key, or Instant Voice Cloning is not enabled for this workspace.

- `any`

### 404 Not Found Error

Voice not found in this workspace (unknown voiceId or belongs to another workspace).

- `any`

### 500 Internal Server Error

Internal Server Error

- `any`

### 503 Service Unavailable Error

Service Unavailable

- `any`

## Examples

**Response**

```json
{
  "responseCode": "SUCCESS",
  "responseMessage": "Operation was successful"
}
```

**SDK Code**

```python Deleted
import requests

voice_id = "cln_abcdefgh_0123456789abcdef"
url = f"https://api.murf.ai/v1/speech/voices/cloned/{voice_id}"
headers = {"api-key": "YOUR_API_KEY"}

response = requests.delete(url, headers=headers)
print(response.status_code, response.text)

```

```javascript Deleted
import axios from "axios";

const voiceId = "cln_abcdefgh_0123456789abcdef";
const response = await axios.delete(
  `https://api.murf.ai/v1/speech/voices/cloned/${voiceId}`,
  { headers: { "api-key": "YOUR_API_KEY" } },
);

console.log(response.status, response.data);

```

```go Deleted
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.murf.ai/v1/speech/voices/cloned/voiceId"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Deleted
require 'uri'
require 'net/http'

url = URI("https://api.murf.ai/v1/speech/voices/cloned/voiceId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java Deleted
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.murf.ai/v1/speech/voices/cloned/voiceId")
  .asString();
```

```php Deleted
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.murf.ai/v1/speech/voices/cloned/voiceId');

echo $response->getBody();
```

```csharp Deleted
using RestSharp;

var client = new RestClient("https://api.murf.ai/v1/speech/voices/cloned/voiceId");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift Deleted
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.murf.ai/v1/speech/voices/cloned/voiceId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```